<?php
namespace Home\Controller;
use Think\Controller;
/*
* 广告控制器
*
*/
class ShopController extends BaseController
{

    //公告列表
    public function noticeList()
    { 
        $noticeArr = array(
            '小詹成功兑换了小蜜蜂防走失背包'
            ,'小明成功兑换了小蜜蜂防走失背包'
            ,'小斗成功兑换了小蜜蜂防走失背包'
            ,'小东成功兑换了小蜜蜂防走失背包'
            ,'小李成功兑换了小蜜蜂防走失背包'
            ,'小力成功兑换了小蜜蜂防走失背包'
        );
        $orderModel = M("yl_goods_order","",C("LEWAN_HEZI"))->join('left join game_member on game_member.uid=yl_goods_order.uid');
        $orderArr = $orderModel->where(array('status'=>array('gt',1)))->order('create_time')->field('game_member.user_nickname,yl_goods_order.name')->limit(50)->select();
        if(!empty($orderArr)) {
            foreach($orderArr as $key=>$val) {
                $content = emoji_decode($val['user_nickname']).'成功兑换了'.$val['name'];
                array_unshift($noticeArr,$content);
            }
        }
        $result = array(
            'c'=>1
            ,'msg'=>'获取成功'
            ,'d'=>array(
                'list'=>$noticeArr
            )
        );


        echo $this->formatRes($result);
    }


    //商品列表
    public function goodsList()
    { 
        $isShow = I('is_show');
        //获取数量（分页）
		$size = I('size',10);
		$page = I('page',1);
		$skip = $size * ($page-1);


        $whereArr = array(
            'status'=>1
        );
        if($isShow == 1) {
            $whereArr['is_show'] = $isShow;
        }
        $field = 'sysid as id,name,icon,initial_price as price,stock,change_way,type';
        $goodsArr = M("yl_goods","",C("LEWAN_HEZI"))->where($whereArr)->field($field)->limit($skip,$size)->order('sort desc')->select();
        if(!empty($goodsArr)) {
            $result = array(
                'c'=>1
                ,'msg'=>'获取成功'
                ,'d'=>array(
                    'list'=>$goodsArr
                )
            );

        } else {
            $result = array(
                'c'=>2
                ,'msg'=>'暂无数据'
            );
        }

        echo $this->formatRes($result);
    }


    //用户商品列表
    public function userGoods()
    { 
        $token = decryptToken(I('token'));
        //获取数量（分页）
		$size = I('size',10);
		$page = I('page',1);
		$skip = $size * ($page-1);

		if($token == false) {
            $result = array(
                'c'=>2
                ,'msg'=>'token不正确'
			);
			echo $this->formatRes($result);exit;
        }
        
        $whereArr = array(
            'status'=>1
        );
        if($isShow == 1) {
            $whereArr['is_show'] = $isShow;
        }
        $field = 'sysid as order_id,goods_id,name,icon,gold,status,create_time,goods_type,redeem_code';
        $orderArr = M("yl_goods_order","",C("LEWAN_HEZI"))->where(array('uid'=>$token['uid']))->field($field)->limit($skip,$size)->order('create_time desc')->select();
        if(!empty($orderArr)) {
            $result = array(
                'c'=>1
                ,'msg'=>'获取成功'
                ,'d'=>array(
                    'list'=>$orderArr
                )
            );

        } else {
            $result = array(
                'c'=>2
                ,'msg'=>'暂无数据'
            );
        }

        echo $this->formatRes($result);
    }


    //商品兑换
    public function goodsChange()
    { 
		$token = decryptToken(I('token'));
		$goodsId = I('goods_id');
		$changeWay = I('change_way');

		if($token == false) {
            $result = array(
                'c'=>2
                ,'msg'=>'token不正确'
			);
			echo $this->formatRes($result);exit;
		} else if(empty($goodsId)) {
            $result = array(
                'c'=>2
                ,'msg'=>'goods_id参数不存在'
			);
			echo $this->formatRes($result);exit;
		} else if(empty($changeWay)) {
            $result = array(
                'c'=>2
                ,'msg'=>'change_way参数不存在'
			);
			echo $this->formatRes($result);exit;
		}


        $model= new \Home\Model\ShopModel();
        $result = $model->goodsChange($token['uid'],$goodsId,$changeWay);


        echo $this->formatRes($result);
    }

}

?>